package com.example.healthcareapp;

import android.os.Bundle;
import android.content.Intent;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

public class LoginActivity extends AppCompatActivity {

    EditText passW;
    EditText userN;
    Button logIn;
    Button register;
    TextView incorrect;
    public volatile boolean incorrectVol = false;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.login_activity);

        passW   = (EditText)findViewById(R.id.editTextPassword);
        userN   = (EditText)findViewById(R.id.editTextUsername);
        incorrect =  (TextView)findViewById(R.id.incorrectPassword2);

        logIn = findViewById(R.id.loginButton);
        logIn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                goToLogin();
            }
        });

        register = findViewById(R.id.registerButton);
        register.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent switchActivityIntent = new Intent(LoginActivity.this, RegisterActivity.class);
                startActivity(switchActivityIntent);
            }
        });
    }

    private void goToLogin() {
        //Change to login state
        System.out.println("STATE: " + MainActivity.state);
        MainActivity.userN = userN.getText().toString();
        MainActivity.passW = passW.getText().toString();    //need to research best practice for storing login information during runtime
        MainActivity.state = "LOGIN";
        while (MainActivity.state.equals("LOGIN")) {

        }
        if (MainActivity.userID != 0) {
            System.out.println(MainActivity.role + " IS THE ROLE");
            if (MainActivity.role.equals("Patient")) {
                Intent switchActivityIntent = new Intent(LoginActivity.this, MenuActivityP.class);
                startActivity(switchActivityIntent);
            }
            else {
                Intent switchActivityIntent = new Intent(LoginActivity.this, MenuActivityC.class);
                startActivity(switchActivityIntent);
            }
        }
        else {
            incorrect.setVisibility(View.VISIBLE);
        }
    }


}
