package com.example.healthcareapp;

import android.os.Bundle;
import android.view.View;
import android.widget.Switch;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

public class QuestionActivity extends AppCompatActivity {
    static volatile boolean[] privacySettings = new boolean[100];
    int current = 0;
    TextView desc;
    TextView title;
    Switch sSwitch;
    protected void onCreate(Bundle savedInstanceState) {
        //set content view
        super.onCreate(savedInstanceState);
        System.out.println("test");

        setContentView(R.layout.question_activity);
        desc = (TextView)(findViewById(R.id.settingDescription));
        title = (TextView)(findViewById(R.id.settingName));
        sSwitch = (Switch)(findViewById(R.id.config));

        sSwitch.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                privacySettings[current] = sSwitch.isChecked();
                System.out.println(privacySettings[current]);
                MainActivity.state = "PRIVACY";
                while (!MainActivity.state.equals("WAITING")) {

                }
            }
        });
    }

    @Override
    protected void onStart() {
        Questions.setQ();
        System.out.println(current);
        super.onStart();
        current = SelectionSecondActvity.currentId;
        System.out.println(current);
        if (privacySettings[current]) {
            sSwitch.setChecked(privacySettings[current]);
        } else {
            sSwitch.setChecked(false);
        }
        String s = "Error loading setting";
        if (MainActivity.role.equals("Patient")) {
            s = Questions.qP[current];
        } else if (MainActivity.role.equals("Caretaker")) {
            s = Questions.qC[current];
        } else {
            s = Questions.qF[current];
        }
        desc.setText(s);
        title.setText("Setting:");
        System.out.println((current));
        System.out.println(convertToString(privacySettings));
    }

    public static String convertToString(boolean[] b){
        StringBuilder s = new StringBuilder();
        for (Boolean aBoolean : b) {
            if (aBoolean == null) {
                s.append("N");
            } else if (aBoolean) {
                s.append("1");
            } else {
                s.append("0");
            }
        }
        return s.toString();
    }

    public static boolean[] convertToBoolean(String s) {
        boolean b[] = new boolean[s.length()];
        for (int i = 0; i < s.length(); i++) {
            if (s.charAt(i) == '1') {
                b[i] = true;
            }
            else if (s.charAt(i) == '0'){
                b[i] = false;
            }
        }
        return  b;
    }
}
