package com.example.healthcareapp;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.Switch;

import androidx.appcompat.app.AppCompatActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

public class SelectionSecondActvity extends AppCompatActivity {
    int i = 0;
    MyListData[] lockList;
    MyListData[] fallList;
    MyListData[] cameraList;
    MyListAdapter lockAdapter;
    MyListAdapter fallAdapter;
    MyListAdapter cameraAdapter;
    RecyclerView recyclerView;
    Switch ready;
    public static final String[] lockMenus = new String[] {
            "Visit while in good condition",
            "Visit with family",
            "Fire alarm"};
    public static final String[] fallMenus = new String[] {"Fall detection with chores", "b", "c"};
    public static final String[] cameraMenus = new String[] {"x", "y", "z"};
    public static int currentId = 0;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        //set content view
        super.onCreate(savedInstanceState);
        setContentView(R.layout.selection_activity);
        System.out.println("test");
        lockList = new MyListData[]{
                new MyListData(lockMenus[0], android.R.drawable.ic_dialog_email,1),
                new MyListData(lockMenus[1], android.R.drawable.ic_dialog_email,2),
                new MyListData(lockMenus[2], android.R.drawable.ic_dialog_email,3),
        };
        fallList = new MyListData[]{
                new MyListData(fallMenus[0], android.R.drawable.ic_dialog_email,11),
        };

        cameraList = new MyListData[]{
                new MyListData(cameraMenus[0], android.R.drawable.ic_dialog_email,21),
                new MyListData(cameraMenus[1], android.R.drawable.ic_dialog_email,22),
                new MyListData(cameraMenus[2], android.R.drawable.ic_dialog_email,23),
        };


        recyclerView = (RecyclerView) findViewById(R.id.recyclerView);
        recyclerView.setHasFixedSize(true);
        recyclerView.setLayoutManager(new LinearLayoutManager(this));


        lockAdapter = new MyListAdapter(lockList, this);
        fallAdapter = new MyListAdapter(fallList, this);
        cameraAdapter = new MyListAdapter(cameraList, this);
    }



    @Override
    protected void onStart() {
        super.onStart();
        i = SelectionActvity.currentMenu;

        System.out.println(SelectionActvity.currentMenu);
        if(i == 1) {
            System.out.println("a");
            recyclerView.setAdapter(lockAdapter);
        }
        else if (i == 2) {
            System.out.println("b");
            recyclerView.setAdapter(fallAdapter);
        }
        else {
            System.out.println("c");
            recyclerView.setAdapter(cameraAdapter);
        }

    }

    static public void changeContext(Context c, int id) {
        currentId = id;
        Intent switchActivityIntent = new Intent(c, QuestionActivity.class);
        c.startActivity(switchActivityIntent);
    }

}
