package com.example.healthcareapp;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Switch;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

import com.google.android.material.textfield.TextInputEditText;

import org.w3c.dom.Text;

public class DemoActivity extends AppCompatActivity {

    TextView welcome;
    TextView displayResults;
    EditText comp0;
    EditText comp1;
    EditText comp2;
    TextView textUser;
    TextView textPass;
    Button compare;
    Switch privacySwitch;

    public static volatile String compareName[] = new String[3];
    public static volatile boolean result;

    public static volatile int compareTot = 0;




    String userN;
    int userID;
    boolean privacy;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.demo_activity);

        System.out.println("TEST. IN DEMO ACTIVITY");

        userN = MainActivity.userN;
        userID = MainActivity.userID;
        privacy = MainActivity.privacy;

        displayResults = (TextView)findViewById(R.id.textView2);
        comp0 = (EditText) findViewById(R.id.compName0);
        comp1 = (EditText) findViewById(R.id.compName1);
        comp2 = (EditText) findViewById(R.id.compName2);
        compare = (Button) findViewById(R.id.compare);
        textUser = (TextView)(findViewById(R.id.textName));
        textUser = (TextView)(findViewById(R.id.textName2));
        privacySwitch = (Switch) findViewById(R.id.privacySwitch);
        privacySwitch.setChecked(privacy);

        welcome = (TextView)findViewById(R.id.textView3);
        String welcomeText = "Welcome " + userN + "!";
        welcome.setText(welcomeText);


        compare.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                comparePrivacy();
            }
        });
    }

    void comparePrivacy() {
        String sComp0 = comp0.getText().toString();
        String sComp1 = comp1.getText().toString();
        String sComp2 = comp2.getText().toString();

        if (!sComp1.isEmpty() && !sComp2.isEmpty() && !sComp0.isEmpty()) {
            compareName[0] = sComp0;
            compareName[1]= sComp1;
            compareName[2] = sComp2;
            MainActivity.state = "COMPARE";
            do {
                //Some sort of time-out mechanism goes here, prob another thread?
            } while (MainActivity.state.equals("COMPARE"));
            String resultText;
            if (result) {
                resultText = "Privacy does matches, everyone agrees.";
            }
            else {
                resultText = "Privacy does not match, someone has declined.";
            }
            displayResults.setText(resultText);
            displayResults.setVisibility(View.VISIBLE);

        }
    }

}
