package com.example.healthcareapp;

import androidx.appcompat.app.AppCompatActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class MainActivity extends AppCompatActivity {

    public static volatile String state = "NOCONNECT";
    public static volatile String name;
    public static volatile String userN;
    public static volatile String passW;
    public static volatile int  userID;
    public static volatile String role;
    public static volatile boolean privacy;
    public static volatile String authToken;
    public static volatile  boolean controlKey = false;
    public static volatile  boolean ready = false;
    //declare components
    Button toLogin;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        //set content view
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        //Make connection to the server
        Thread sc = new ServerConnect();
        sc.start();


        //add event listeners
        toLogin = findViewById(R.id.button);
        toLogin.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                goToLogin();
            }
        });
    }


    //change Activity view to Login screen
    private void goToLogin() {
        //Intent switchActivityIntent = new Intent(this, LoginActivity.class);
        Intent switchActivityIntent = new Intent(this, LoginActivity.class);
        startActivity(switchActivityIntent);
    }

}
