package com.example.healthcareapp;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import androidx.appcompat.app.AppCompatActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

public class SelectionActvity extends AppCompatActivity {
    public static int currentMenu = 0;
    public static final String[] menus = new String[] {"Electronic Lock", "Fall Detection", "Camera Settings"};

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        //set content view
        super.onCreate(savedInstanceState);
        setContentView(R.layout.selection_activity);
        System.out.println("test");

        if (currentMenu == 0) {

        }
        MyListData[] myListData = new MyListData[]{
                new MyListData(menus[0], android.R.drawable.ic_dialog_email),
                new MyListData(menus[1], android.R.drawable.ic_dialog_email),
                new MyListData(menus[2], android.R.drawable.ic_dialog_email),
                new MyListData("", android.R.drawable.ic_dialog_email),
        };


        RecyclerView recyclerView = (RecyclerView) findViewById(R.id.recyclerView);
        MyListAdapter adapter = new MyListAdapter(myListData, this);

        recyclerView.setHasFixedSize(true);
        recyclerView.setLayoutManager(new LinearLayoutManager(this));
        recyclerView.setAdapter(adapter);

    }

    static public void changeMenu (int i) {
        currentMenu = i;
    }
/*
    @Override
    public void onSaveInstanceState(Bundle savedInstanceState) {
        savedInstanceState.putString(STATE_USER, mUser);
        super.onSaveInstanceState(savedInstanceState);
    }

 */
    static public void changeContext(Context c) {
        Intent switchActivityIntent = new Intent(c, SelectionSecondActvity.class);
        c.startActivity(switchActivityIntent);
    }


}
