import javax.xml.crypto.Data;
import java.time.temporal.ChronoUnit;
import java.util.Calendar;
import java.util.Date;

public class CompareLogic {
     static boolean[] andOr;
     static String andOrS = "001000000010000000000000000000000000000000000000000000000000000000000000000000000000000000";

     public static boolean[] compare (int id) {
          Database db = new Database();
          int other = db.checkOther(id);
          andOr = convertToBoolean(andOrS);
          boolean[] b1 = convertToBoolean(db.checkPrivacy(id));
          boolean[] b2 = convertToBoolean(db.checkPrivacy(other));
          boolean[] b3 = compareUsers(b1, b2);
          db.changePrivacy(id,convertToString(b3));
          db.changePrivacy(other,convertToString(b3));
          return b3;
     }

     public static  boolean[] compareUsers(boolean [] ub,boolean[] pb ){
          boolean rb[] = new boolean[ub.length];
          for (int i = 0; i<ub.length; i++) {
               if (andOr[i]) {
                    if (ub[i] && pb[i]){
                         rb[i] = true;
                    }
                    else {
                         rb[i] = false;
                     }
               }
               else {
                    if (ub[i] || pb[i]){
                         rb[i] = true;
                    }
                    else {
                         rb[i] = false;
                    }
               }
          }
          return rb;
     }

     public static boolean[] compareUsers(boolean [] ub, boolean[] pb, boolean fb[]){
          boolean rb[] = new boolean[ub.length];
          for (int i = 0; i<ub.length; i++) {
               if (andOr[i]) {
                    if (ub[i] && pb[i] && fb[i] ){
                         rb[i] = true;
                    }
                    else {
                         rb[i] = false;
                    }
               }
               else {
                    if (ub[i] || pb[i] || fb[i]){
                         rb[i] = true;
                    }
                    else {
                         rb[i] = false;
                    }
               }
          }
          return rb;
     }



     public static String convertToString(boolean[] b){
          StringBuilder s = new StringBuilder();
          for (Boolean aBoolean : b) {
               if (aBoolean == null) {
                    s.append("N");
               } else if (aBoolean) {
                    s.append("1");
               } else {
                    s.append("0");
               }
          }
          return s.toString();
     }

     public static boolean[] convertToBoolean(String s) {
          boolean b[] = new boolean[s.length()];
          for (int i = 0; i < s.length(); i++) {
               if (s.charAt(i) == '1') {
                    b[i] = true;
               }
               else if (s.charAt(i) == '0'){
                    b[i] = false;
               }
          }
          return  b;
     }
}

